- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IScaffoldEditRenderer
TScaffoldBase
TScaffoldEditView
TScaffoldListView
TScaffoldSearch
TScaffoldView

Keyword

# Class TScaffoldView

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TCompositeControl
                |
                --TTemplateControl
                   |
                   --TScaffoldBase
                      |
                      --TScaffoldView

TScaffoldView is a composite control consisting of TScaffoldListView

with a TScaffoldSearch. In addition, it will display a TScaffoldEditView when an "edit" command is raised from the TScaffoldListView (when the edit button is clicked). Futher more, the "add" button can be clicked that shows an empty data TScaffoldListView for creating new records.

The ListView property gives a TScaffoldListView for display the record data. The EditView is the TScaffoldEditView that renders the inputs for editing and adding records. The SearchControl is a TScaffoldSearch responsible to the search user interface.

Set the RecordClass property to the name of the Active Record class to be displayed/edited/added.

Since: 3.0
Author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Constants Inherited From TTemplateControl
EXT_TEMPLATE,

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Method Summary
void | bubbleEvent ( mixed $sender, mixed $param) Handle the "edit" and "new" commands by displaying the edit view.
TButton | getAddButton ()
TScaffoldEditView | getEditView ()
TScaffoldListView | getListView ()
TScaffoldSearch | getSearchControl ()
void | onPreRender ( mixed $param) Copy basic record details to the list/edit/search controls.
protected void | showAddView ( mixed $sender, mixed $param) Shows the add record view.
protected void | showEditView ( mixed $sender, mixed $param) Shows the edit record view.
protected void | showListView ( mixed $sender, mixed $param) Shows the view for listing the records.

Methods Inherited From TScaffoldBase

TScaffoldBase::clearRecordObject(), TScaffoldBase::copyFrom(), TScaffoldBase::getDefaultStyle(), TScaffoldBase::getEnableDefaultStyle(), TScaffoldBase::getRecordClass(), TScaffoldBase::getRecordFinder(), TScaffoldBase::getRecordObject(), TScaffoldBase::getRecordPkValues(), TScaffoldBase::getRecordPropertyValues(), TScaffoldBase::getTableInfo(), TScaffoldBase::onPreRender(), TScaffoldBase::setDefaultStyle(), TScaffoldBase::setEnableDefaultStyle(), TScaffoldBase::setRecordClass(), TScaffoldBase::setRecordObject()

Methods Inherited From TTemplateControl

TTemplateControl::createChildControls(), TTemplateControl::getIsSourceTemplateControl(), TTemplateControl::getMaster(), TTemplateControl::getMasterClass(), TTemplateControl::getTemplate(), TTemplateControl::getTemplateDirectory(), TTemplateControl::initRecursive(), TTemplateControl::injectContent(), TTemplateControl::loadTemplate(), TTemplateControl::registerContent(), TTemplateControl::registerContentPlaceHolder(), TTemplateControl::setMasterClass(), TTemplateControl::setTemplate()

Methods Inherited From TCompositeControl
TCompositeControl::initRecursive()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary

Method Details

## bubbleEvent

public void bubbleEvent | (mixed $sender , mixed $param )

Handle the "edit" and "new" commands by displaying the edit view.

Default command shows the list view.

Input
mixed | $sender |
mixed | $param |
Output
Exception

## getAddButton

public TButton getAddButton | ()

Output
TButton | "Add new record" button.
Exception

## getEditView

public TScaffoldEditView getEditView | ()

Output
TScaffoldEditView | scaffold edit view.
Exception

## getListView

public TScaffoldListView getListView | ()

Output
TScaffoldListView | scaffold list view.
Exception

## getSearchControl

public TScaffoldSearch getSearchControl | ()

Output
TScaffoldSearch | scaffold search textbox and button.
Exception

## onPreRender

public void onPreRender | (mixed $param )

Copy basic record details to the list/edit/search controls.

Input
mixed | $param |
Output
Exception

## showAddView

protected void showAddView | (mixed $sender , mixed $param )

Shows the add record view.

Input
mixed | $sender |
mixed | $param |
Output
Exception

## showEditView

protected void showEditView | (mixed $sender , mixed $param )

Shows the edit record view.

Input
mixed | $sender |
mixed | $param |
Output
Exception

## showListView

protected void showListView | (mixed $sender , mixed $param )

Shows the view for listing the records.

Input
mixed | $sender |
mixed | $param |
Output
Exception